Banken
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.BankenDaten

## Class Banken

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.BankenDaten.Banken

-     public class Banken
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.HashMap<java.lang.String,Bank>` | `bankcodealt`
    `private static java.util.HashMap<java.lang.String,Bank>` | `bankcodeneu`
    `private static java.util.ArrayList<Bank>` | `banken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Banken()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static void` | `add(java.lang.String kennzeichen, java.lang.String name, java.lang.String blz, java.lang.String bic, java.lang.String pruefziffernmethode, java.lang.String ibanregel, java.lang.String hinweisloeschung)`
    `static Bank` | `getBankByBIC(java.lang.String bic)`
    `static Bank` | `getBankByBLZ(java.lang.String blz)`
    `static java.util.ArrayList<Bank>` | `getBanken()`
    `static java.util.ArrayList<Bank>` | `getByGruppe(java.lang.String gruppe)`
    `static java.util.ArrayList<Bank>` | `getByPruefziffernMethode(java.lang.String methode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### banken

          private static java.util.ArrayList<Bank> banken

    - #### bankcodealt

          private static java.util.HashMap<java.lang.String,Bank> bankcodealt

    - #### bankcodeneu

          private static java.util.HashMap<java.lang.String,Bank> bankcodeneu

  - ### Constructor Detail

    - #### Banken

          public Banken()

  - ### Method Detail

    - #### getBankByBLZ

          public static Bank getBankByBLZ(java.lang.String blz)

    - #### getBankByBIC

          public static Bank getBankByBIC(java.lang.String bic)

    - #### add

          private static void add(java.lang.String kennzeichen,
                 java.lang.String name,
                 java.lang.String blz,
                 java.lang.String bic,
                 java.lang.String pruefziffernmethode,
                 java.lang.String ibanregel,
                 java.lang.String hinweisloeschung)

    - #### getByPruefziffernMethode

          public static java.util.ArrayList<Bank> getByPruefziffernMethode(java.lang.String methode)

    - #### getByGruppe

          public static java.util.ArrayList<Bank> getByGruppe(java.lang.String gruppe)

    - #### getBanken

          public static java.util.ArrayList<Bank> getBanken()